| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Fuzzy image processing
Image processing based on fuzzy mathematics

## Detailed Description

Image proceesing based on fuzzy mathematics namely F-transform.

## Functions
void | cv::ft::createKernel (InputArray A, InputArray B, OutputArray kernel, const int chn)
| Creates kernel from basic functions.
void | cv::ft::createKernel (int function, int radius, OutputArray kernel, const int chn)
| Creates kernel from general functions.
void | cv::ft::filter (InputArray image, InputArray kernel, OutputArray output)
| Image filtering.
void | cv::ft::inpaint (InputArray image, InputArray mask, OutputArray output, int radius, int function, int algorithm)
| Image inpainting.

## Function Documentation

## ◆ createKernel() [1/2]

void cv::ft::createKernel | ( | InputArray | A,
|  | InputArray | B,
|  | OutputArray | kernel,
|  | const int | chn )

Python:
| cv.ft.createKernel( | function, radius, chn[, kernel] | ) -> | kernel
| cv.ft.createKernel1( | A, B, chn[, kernel] | ) -> | kernel

`#include <opencv2/fuzzy/fuzzy_image.hpp>`

Creates kernel from basic functions.

Parameters

  A | Basic function used in axis x.
  B | Basic function used in axis y.
  kernel | Final 32-bit kernel derived from A and B.
  chn | Number of kernel channels.

The function creates kernel usable for latter fuzzy image processing.

## ◆ createKernel() [2/2]

void cv::ft::createKernel | ( | int | function,
|  | int | radius,
|  | OutputArray | kernel,
|  | const int | chn )

Python:
| cv.ft.createKernel( | function, radius, chn[, kernel] | ) -> | kernel
| cv.ft.createKernel1( | A, B, chn[, kernel] | ) -> | kernel

`#include <opencv2/fuzzy/fuzzy_image.hpp>`

Creates kernel from general functions.

Parameters

  function | Function type could be one of the following: LINEAR Linear basic function.
  radius | Radius of the basic function.
  kernel | Final 32-bit kernel.
  chn | Number of kernel channels.

The function creates kernel from predefined functions.

## ◆ filter()

void cv::ft::filter | ( | InputArray | image,
|  | InputArray | kernel,
|  | OutputArray | output )

Python:
| cv.ft.filter( | image, kernel[, output] | ) -> | output

`#include <opencv2/fuzzy/fuzzy_image.hpp>`

Image filtering.

Parameters

  image | Input image.
  kernel | Final 32-bit kernel.
  output | Output 32-bit image.

Filtering of the input image by means of F-transform.

## ◆ inpaint()

void cv::ft::inpaint | ( | InputArray | image,
|  | InputArray | mask,
|  | OutputArray | output,
|  | int | radius,
|  | int | function,
|  | int | algorithm )

Python:
| cv.ft.inpaint( | image, mask, radius, function, algorithm[, output] | ) -> | output

`#include <opencv2/fuzzy/fuzzy_image.hpp>`

Image inpainting.

Parameters

  image | Input image.
  mask | Mask used for unwanted area marking.
  output | Output 32-bit image.
  radius | Radius of the basic function.
  function | Function type could be one of the following: `ft::LINEAR` Linear basic function.
  algorithm | Algorithm could be one of the following: `ft::ONE_STEP` One step algorithm. `ft::MULTI_STEP` This algorithm automaticaly increases radius of the basic function. `ft::ITERATIVE` Iterative algorithm running in more steps using partial computations.

This function provides inpainting technique based on the fuzzy mathematic.

Note
  The algorithms are described in paper [216].